Skip to main content
PUT
Update a specific dish

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique dish identifier, generated when the dish was created.

Body

application/json

The request body to update a dish requires only the properties to be updated.

name
string

The name of the dish to display in the client app.

Example:

"Risotto alla Milanese"

description
string
Example:

"A description of the resource."

category
enum<string>

Used to indicate where in the client app the dish should appear for ordering and used by the expediter to prioritize dishes for preparation.

Available options:
Appetizer,
Main Course,
Dessert,
Drinks
Example:

"Main Course"

image_name
string

The name of the image file related to a specific dish. When present, the image for the dish will appear in the client app with the other dish details.

Example:

"burger"

ingredients
object[]

The list of ingredients related to a specific dish.

Example:
preparation_time
integer

The amount of time, in minutes, it takes to prepate the dish. Used by the expeditor and staff to prioritize dish preparation at the various stations.

Example:

45

price
number<float>

The price used by the client app to calculate order cost.

Example:

999

station
enum<string>

The prep station responsible for preparing the dish. This value is used by the expeditor to prioritize and triage order preparation for the KDS stations.

Available options:
cold,
hot,
beverages
Example:

"hot"

Response

Dish updated successfully

id
string
read-only

A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.

Example:

"674d0bf5c28b69001f8e03a1"

created_at
string<date-time>
read-only

The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

name
string

The name of the dish that appears in the client app and for the KDS.

Example:

"Risotto alla Milanese"

description
string
Example:

"A description of the resource."

category
enum<string>

Used to indicate where in the client app the dish should appear for ordering and used by the expediter to prioritize dishes for preparation.

Available options:
Appetizer,
Main Course,
Dessert,
Drinks
Example:

"Main Course"

image_name
string

The name of the image file related to a specific dish. When present, the image for the dish will appear in the client app with the other dish details.

Example:

"burger"

ingredients
object[]

The list of ingredients related to a specific dish.

Example:
preparation_time
number<float>

The price used by the client app to calculate order cost.

Example:

999

price
number<float>

The price used by the client app to calculate order cost.

Example:

999

station
enum<string>

The prep station responsible for preparing the dish. This value is used by the expeditor to prioritize and triage order preparation for the KDS stations.

Available options:
cold,
hot,
beverages
Example:

"hot"